Pix Account (PSP Fiserv)

This documentation details the Fiserv PSP APIs, designed for integration with integrators, enabling the management of operations related to customers, accounts, collections and payments via Pix. The main functionalities include:

  • Authentication: Obtain tokens for all transactions authentication
  • Customer Management: Add, update, view and delete (CRUD) for customers
  • Account Management: Add, update, view and delete (CRUD) accounts
  • Pix Charges Generation: Create Pix charges efficiently and securely, allowing your customers to make payments via Pix
  • Pix Payment Query: View the status and details of payments via Pix for greater control and transparency
  • Refunds: Make payment refunds via Pix efficiently, ensuring customer satisfaction
  • Settlement: Automatically or manual cash-out
  • Webhook Management: Register webhooks to receive automatic notifications about important events such as payment confirmations or refund requests
  • Reports: Generate detailed reports of Pix transactions, facilitating the monitoring of operations and reporting of settlements related to accounts

¹ KYC - "Know your Customer" client validation process


Environments

Production

https://connect.latam.fiservapis.com/gateway

Tests

https://connect-cert.latam.fiservapis.com/gateway


Table of contents

📍Auth

        🔻Default error object

        🔻Default Header

        🔻HMAC Calculation

        🔻For testing purposes


Authentication

POST /token 🔒

Authentication Token generation endpoint, which is required for all calls.
Obtain the authentication token using a client_secret and client_id, send it via application/x-www-form-urlencoded, and use the Bearer token in subsequent requests.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
Request example

Content-Type: application/x-www-form-urlencoded

FieldValue
client_iduser1234
client_secretuserPassword@123
Responses
CodeDescription
200Returns the access token and expiration information
Response Fields
FieldTypeDescription
access_tokenstringJWT token for authentication
expires_inintegerToken expiration time in seconds
Response Example
{
  "access_token": "your-access-token",
  "expires_in": 300
}

Webhooks

Configures (creates) the integrator's webhook to receive notifications for customer registration, payment, and chargeback. Here, the URL of the endpoint on the integrator's side must be provided; this endpoint will receive notifications when any asynchronous stage is completed. Examples of Callback are described below.

ATTENTION: To update the webhook URL, it is necessary to request it from the Fiserv team, as it is required to whitelist the URL on the proxy.

PUT /v1/webhook

Set up the Integrator Webhook, which is the URL of the endpoint that will receive the notification.

Parameters
NameLocated inDescriptionMandatoryType
webhookUrlbodyURL that will be called in the callbackyesstring
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
Request example
{
  "webhookUrl": "https://pix.example.com/api/webhook/"
}
Responses
CodeDescription
204Webhook for notifications to the integrator.
400Request with invalid format.
503Service Unavailable

GET /v1/webhook

Displays the Integrator Webhook URL, noting that it will only receive callbacks if it is authorized by the Fiserv team.

Parameters
NameLocated inDescriptionMandatoryType
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
Responses
CodeDescription
200Webhook data
503Service Unavailable
Response Example
{
  "WebhookUrl": "https://pix.example.com/api/webhook/"
}

DELETE /v1/webhook

Deletes the Integrator Webhook URL, which will no longer receive notifications for asynchronous processes after deletion. It will only be possible to receive notifications again by registering a new URL and requesting authorization from the Fiserv team.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
Responses
CodeDescription
204Webhook for Pix notifications canceled.
503Service Unavailable

Callbacks

Customer Callback

POST /client

After the customer registration and the KYC(1) process is completed, the URL registered for the webhook receives the following notification:

Response Fields
FieldTypeDescription
protocolIdstringInternal protocol identifier for the KYC process
externalProtocolIdstringExternal protocol identifier
omniClientIdstringUnique identifier for the client in the Omni system
document.typestringDocument type (CNPJ)
document.numberstringDocument number
statusstringKYC process status:
  • DONE - Processing completed
  • PENDING - Waiting for processing
  • PROCESSING - In progress
errorsarrayList of errors (if any)
errors.codestringError code
errors.messagestringError message description
Response Example
{
  "protocolId": "347acdf2-7b01-4191-acff-36bd23639e43",
  "externalProtocolId": "8dd562ee4a7a",
  "omniClientId": "f932d207-573c-439c-b444-6ca26afff066",
  "document": {
    "type": "CNPJ",
    "number": "60664745000187"
  },
  "status": "DONE",
  "errors": [
    {
      "code": "FEP_123",
      "message": "string"
    }
  ]
}

⚠️

Since this is a testing environment, KYC has different approval/rejection rules compared to the production environment; therefore, it is necessary to send the approved CNPJ(s) to the Fiserv team to facilitate development.

⚠️

When Status = DONE, indicates that processing has been completed in the final KYC(1) status and the customer information can be requested.

Transactions Callback

POST /v1/apm/pix/charges

After the transaction charge is completed, the URL registered in the webhook receives the following notification:

Response Fields
FieldTypeDescription
Pix.endToEndIdstringEnd to End of payment confirmation
Pix.txidstringTransaction id
Pix.chavestringAccount Pix Key
Pix.StatusintTransaction Status:
  • 0 - Pending
  • 1 - Confirmed
  • 2 - Canceled
Pix.OperationTypeintOperation Type:
  • 0 - Charge
  • 1 - Refund
  • 2 - Reverse
Response Example
{
  "Pix": {
    "endToEndId": "D13207930202410252046wrzeq7wrQZ8",
    "txid": "D13207930202410252034KgylGnIt2T3",
    "chave": "ac2ce947-fa51-4dd1-a4f9-52181bcc971f",
    "Status": 1,
    "OperationType": 2
  }
}

PUT /v1/apm/pix/{endToEndId}/reverse/{txid}

After the transaction reverse is completed, the URL registered in the webhook receives the following notification:

Response Fields
FieldTypeDescription
Pix.endToEndIdstringEnd to End of payment confirmation
Pix.txidstringTransaction id
Pix.chavestringAccount Pix Key
Pix.StatusintTransaction Status:
  • 0 - Pending
  • 1 - Confirmed
  • 2 - Canceled
Pix.OperationTypeintOperation Type:
  • 0 - Charge
  • 1 - Refund
  • 2 - Reverse
Response Example
{
  "Pix": {
    "endToEndId": "D13207930202410252046wrzeq7wrQZ8",
    "txid": "D13207930202410252034KgylGnIt2T3",
    "chave": "ac2ce947-fa51-4dd1-a4f9-52181bcc971f",
    "Status": 1,
    "OperationType": 2
  }
}

Cash-out Callback

POST /v2/apm/pix/cashout

After the cashout request is made, the URL registered in the webhook receives the notification below:

Response Fields
FieldTypeDescription
Pix.txidstringId transaction
Pix.endToEndIdstringEnd to End of payment confirmation; it will always be null until the withdrawal confirmation.
Pix.createdAtDateTime (ISO 8601)Date and time of the creation.
Pix.confirmedAtDateTime (ISO 8601)Date and time of the request.
Pix.pixKeystringPix Key of Fiserv Account (source)
Pix.receiverDocumentstringDestination account document.
Pix.receiverPixKeystringPix key of the destination account.
Pix.amountdecimalCash-out Value
Pix.confirmationKeystringRandom key for the withdrawal confirmation.
Pix.StatusintCashout Status. See GetCashOutStatus
Pix.OperationTypeintOperation Type:
  • 7 - Manual Withdrawal
Response Example
{
  "pix": [
    {
      "txid": "bec7e05d-484e-4814-a432-dde637f84408",
      "endToEndId": null,
      "createdAt": "2025-01-16T09:30:01.5730000",
      "confirmedAt": "2025-01-16T09:33:01.5730000",
      "pixKey": "883f75da-1f69-48c4-9444-c32b4bcb3553",
      "receiverDocument": "3626416467",
      "receiverPixKey": "[email protected]",
      "amount": 99.99,
      "confirmationKey": "4826e6ec-9bd2-4045-b030-f10e519d584a",
      "status": 2,
      "operationType": 7
    }
  ]
}

Cashout callback occurs in two stages as described below:

⚠️

After requesting a withdrawal operation, some validations will be performed asynchronously, and the request may still be denied. The result of this validation, along with the confirmation key needed for the confirmation request, will be sent to the webhook.

⚠️

Once the confirmation key is received from the notification, the confirmation request (/cashout/confirm) must be called to confirm the withdrawal. After the confirmation, the withdrawal may still fail in some scenarios, thus a new notification will be sent to the configured webhook to indicate whether the withdrawal was completed successfully (status 1) or if it failed (status 2). The confirmation payload has the same structure as the withdrawal request payload, with the only main difference being in the "status."


Customer

POST /v1/client

Add a client.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
address.citybodyClient's city (ISO 3166)yesstring
address.countrybodyClient's country (ISO 3166)yesstring
address.localitybodyClient's district (ISO 3166)yesstring
address.numberbodyClient's address numbernostring
address.postalCodebodyClient's ZIP Code addressyesstring
address.provincebodyClient's address Stateyesstring
address.streetbodyClient's address Streetyesstring
address.subNumberbodyClient's address Complementnostring
document.numberbodyDocument Numberyesstring
document.typebodyCNPJyesenum
contact.emailbodyClient's E-mailyesstring
contact.phonebodyClient's Phone numberyesstring
legalNamebodyClient's legal nameyesstring
tradeNamebodyClient's trade nameyesstring
averageTicketbodyAverage ticketyesdecimal
Request example
{
  "address": {
    "city": "São Paulo",
    "country": "BR",
    "locality": "Vila Mariana",
    "number": "153",
    "postalCode": "04101-300",
    "province": "SP",
    "street": "Rua Vergueiro",
    "subNumber": "Suite 42"
  },
  "document": {
    "number": "60.664.745/0001-87",
    "type": "CNPJ"
  },
  "contact": {
    "email": "[email protected]",
    "phone": "+55 11 91234-5678"
  },
  "legalName": "Fiserv Inc",
  "tradeName": "Fiserv",
  "averageTicket": 100.00
}

⚠️

Since this is a testing environment, the KYC(1) has different approval/rejection rules compared to the production environment. Therefore, it is necessary to send the approved CNPJ(s) to the Fiserv team to facilitate development.

Response Fields
NameDescriptionType
clientIdCustomer's unique IDstring
protocolIdRequest protocolstring
Response Example
{
  "clientId": "bb41c1e6-654f-4263-83f4-36e37678f548",
  "protocolId": "Request protocol"
}

After the client registration a KYC validation will happen asynchronously, and the result will be notified to the configured webhook.

GET /v1/client/{clientId}

Search for information about the customer's "Know Your Customer" status.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
clientIdpathclient idyesstring
Response Fields
NameDescriptionType
kycStatusCustomer's KYC statusstring
Response Example
{
  "kycStatus": "Approved"
}

The KycSytatus can be one of the following:
🔸 APPROVED
🔸 PENDING
🔸 PROCESSING
🔸 REFUSED
🔸 ERROR

⚠️

Only the APPROVED status can allow the continuation of the accreditation process and the creation of a Pix Account


Accounts

General Information about Account Management

pixFee

Pix fee is the fee charged for each transaction made. When the business model is commission-based, fee can be a fixed amount (amount) or MDR - Merchant Discount Rate (percentage) . Alternatively, when the business model is billing, it must not have any value.

Example of a commission-based business model with a fixed fee

Registered fee for the account: R$ 0,85
Charged value: R$ 30,00
Fee value: R$ 0,85
Net amount: R$ 29,15

Example of a commission-based business model with MDR

Registered fee for the account: 1%
Charged value: R$ 22,00
Fee value: R$ 0,22
Net amount: R$ 21,78
To use a zero rate, set fee.amount = 0


POST /v1/client/{clientId}/apm/pix/account

Add a pix account.

Parameters
FieldLocated inTypeMandatoryDescription
namebodystringnoAccount name, if not provided, defaults to value
clientIdpathstringyesClient Id
headerAPI Keystringyesapikey
x-timestampheaderstringyesDate/time of the request (used to prevent replay attacks)
x-request-idheaderstringyesRandom ID used to identify the request
x-hmac-signatureheaderstringyesHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL )
Authorizationheaderstring (bearerToken)yesBearer token for authentication
Settlement.pixKeybodystringyesPixKey of settlement account. Only the pix key or account information should be provided, never both.
Settlement.bankAccount.typebodyintegeryes(enum) 0. Checking Account, 1. Deposit Account, 2. Payment Account, 3. Savings Account
Settlement.bankAccount.BankCompeCodebodystringyesCOMPE Code (Clearing System)
Settlement.bankAccount.bankIspbCodebodystringyesISPB Code (Bank Identifier)
Settlement.bankAccount.agencybodystringyesAgency number
Settlement.bankAccount.accountNumberbodystringyesAccount Number
Settlement.bankAccount.document.numberbodystringyesAccount's CNPJ. Must have the same root as the registered CNPJ
Settlement.bankAccount.document.typebodystringyesAlways inform “CNPJ”
pixFee.amountbodydecimalnoIf percentage is given, it cannot be greater than 0
pixFee.percentagebodydecimalnoIf this value is given, it cannot be greater than 0
pixFee.minbodydecimalnoCan be zero, but cannot be negative
pixFee.maxbodydecimalnoIt can only be sent if the min exists; cannot be zero, negative, or ≤ min
userTermsAccept.number.numberbodystringyesCPF of the person making the acceptance
userTermsAccept.document.typebodystringyesAlways “CPF”
userTermsAccept.ipbodystringyesIP Address of the machine that gave the acceptance term
splitPixKeybodystringnoThis specifies the destination account to which the fee split will be credited. The account will not have a split calculation if no value is entered. Note: the integrator must have split functionality activated with Fiserv; otherwise, the fee split will not occur, even if a destination settlement account for the split is specified.
holdSettlementbodyboolnoIdentifies if charges are created with settlement hold (default false)
hasAutomaticSettlementbodybooleanyesIndicates if settlement occurs automatically
tradeNamebodystringyesTrade name of the account
Request example
{
  "name": "account name",
  "settlement": {
    "pixKey": "26770318000145",
    "bankAccount": {
      "accountNumber": "12345-1",
      "agency": "1234",
      "bankCompeCode": "341",
      "bankIspbCode": "00000007",
      "document": {
        "number": "60.664.745/0001-87",
        "type": "CNPJ"
      },
      "type": 1
    }
  },
  "pixFee": {
    "amount": 0,
    "percentage": 2,
    "max": 0,
    "min": 0
  },
  "splitPixKey": "1c78a371-187f-4318-ab95-69b54788ecda",
  "userTermsAccept": {
    "document": {
      "number": "631.313.010-31",
      "type": "CPF"
    },
    "ip": "198.51.100.42"
  },
  "holdSettlement": true,
  "tradeName": "Fiserv",
  "hasAutomaticSettlement": true
}
Response Fields
FieldTypeDescription
pixKeystringUnique Pix key generated for the account
pspClientIdstringClient ID for API authentication
pspClientSecretstringClient Secret for API authentication
Response Example
{
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "pspClientId": "7a2a1ed1-aa51-4a71-9b18-0ba6f6bcfee1",
  "pspClientSecret": "2ccd83fc-34ba-4a21-97ca-bef027cc2c70"
}
Responses
CodeDescription
200OK
400Bad Request
401Unauthorized
422Client Error
500Server Error
Possible errors
ErrorCodeError
154The fee must have a single value
158Account not found
161The account is not activated
162The PixKey must be different from the AddressPixKey
169The settlememt account provided is invalid.
170A settlememt account is mandatory
171It is not possible to inform two settlememt accounts
174The liquidation account of the CNPJ is invalid
176It is not possible to change the settlement information for this account
177It is not possible to change the tax rate for this account
178The ISPB code or COMPE code must be filled in
187Maximum tax rate must be greater than minimum tax rate
188Minimum rate must be reported because maximum rate has been reported
189The minimum tax rate must be greater than or equal to zero
190Maximum tax rate must be greater than zero
191The minimum and maximum tax rate should only be reported in the case of an MDR rate
260The minimum tax rate must be equal to or greater than {value}.
261The tax rate must be equal to or greater than {value}.
262It is not possible to specify an account as the settlement destination for a split payment if the specified destination account also has split payments enabled.
263Invalid settlement account for the split payment not found.
267The destination account for split settlement cannot have split configured.

GET /v1/client/{clientId}/apm/pix/account/{pixKey}

Return an account based on the PIX key.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeypathAccount's PIX Keyyesstring
clientIdpathClient idyesstring
Response
FieldTypeNotes
namestringAccount legal name
documentNumberstringAccount CNPJ
pixKeystringPix key of the account. Used for charge generation
statusintAccount status
settlementobjectSettlement data
settlement.pixKeystringPix key of the settlement account, i.e., the account that receives the amounts from charges
settlement.bankAccountobjectBank details of the settlement account, i.e., the account that receives the amounts from charges
settlement.bankAccount.accountNumberstringAccount number
settlement.bankAccount.agencystringBranch number
settlement.bankAccount.bankCompeCodestringThree-digit code of the Bank Clearing System. COMPE
settlement.bankAccount.typestringAccount type
settlement.bankAccount.documentobjectDocument data
settlement.bankAccount.document.numberstringDocument number
settlement.bankAccount.document.typestringDocument type
pixFeeobjectFee information
pixFee.amountdecimalFixed fee
pixFee.percentagedecimalPercentage fee
pixFee.maxdecimalMaximum fee
pixFee.mindecimalMinimum fee
hasAutomaticSettlementbooleanIndicates if the account automatically transfers amounts once a day to the settlement account.
pspClientIdstringAccount client ID in the PSP
pspClientSecretstringAccount client secret in the PSP
splitPixKeystringPix key of the destination account for split fee settlement
holdSettlementbooleanIndicates if charges are created as blocked and should not be settled
fantasyNamestringAccount trade name (optional)
Response Example
{
  "name": "Store Nome",
  "documentNumber": "40486138000167",
  "pixKey": "d60e6246-4885-471f-bab7-a3482f48d68b",
  "status": 1,
  "settlement": {
    "pixKey": null,
    "bankAccount": {
      "accountNumber": "12345-1",
      "agency": "1234",
      "bankCompeCode": "341",
      "document": {
        "number": "40.486.138/0001-67",
        "type": "CNPJ"
      },
      "type": 1
    }
  },
  "pixFee": {
    "amount": 0,
    "percentage": 2,
    "max": 0,
    "min": 0
  },
  "splitPixKey": "30001d73-4917-4a41-bb8f-9624b4910ff3",
  "hasAutomaticSettlement": true,
  "holdSettlement": true,
  "pspClientId": "7a2a1ed1-aa51-4a71-9b18-0ba6f6bcfee1",
  "pspClientSecret": "2ccd83fc-34ba-4a21-97ca-bef027cc2c70",
  "fantasyName": "Store Nome"
}
Responses
CodeDescription
200Success
400Bad Request
401Unauthorized
422Client Error
500Server Error

⚠️

Every night, during the early morning hours, automatic settlement is performed for accounts that have hasAutomaticSettlement = true. For accounts where the value is false, the withdrawal of funds must be carried out manually through the Cash-out endpoints

PUT /v1/client/{clientId}/apm/pix/account/{pixKey}

Endpoint that changes a pix account.

Parameters
NameLocated inTypeMandatoryDescription
apikeyheaderstringyesAPI Key
x-timestampheaderstringyesDate/time of the request (used to prevent replay attacks)
x-request-idheaderstringyesRandom ID used to identify the request
x-hmac-signatureheaderstringyesHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)
Authorizationheaderstring (bearerToken)yesBearer token used for authentication
pixKeypathstringyesAccount's PIX Key
clientIdpathstringyesclient id
Settlement.pixKeybodystringyesPixKey of settlement account. Only the pix key or account information should be provided, never both.
Settlement.bankAccount.typebodyintegeryes(enum) 0. Checking Account, 1. Deposit Account 2. Payment Account 3. Savings Account
Settlement.bankAccount.BankCompeCodebodystringyesCOMPE Code (Check and Other Document Clearing System)
Settlement.bankAccount.agencybodystringyesAgency number
Settlement.bankAccount.accountNumberbodystringyesAccount Number
Settlement.bankAccount.document.numberbodystringyesAccount's CNPJ. Must have the same root as the registered CNPJ
Settlement.bankAccount.document.numberbodystringyesAccount's CNPJ. Must have the same root as the registered CNPJ
Settlement.bankAccount.document.typebodystringyesAlways inform the “CNPJ”
pixFee.amountbodydecimalnoIf percentage is given, it cannot be greater than 0
pixFee.percentagebodydecimalnoIf this value is given, it cannot be greater than 0
pixFee.minbodydecimalnoCan be zero, but cannot be negative
pixFee.maxbodydecimalnoIt can only be sent if the min exists; It cannot be zero, but cannot be negative and it can never be less than or equal to the min
splitPixKeybodystringnoThis specifies which settlement account the fee split will be credited to. If you have a settlement account, and this information is not provided or a null value is sent, that link will be removed, as well as the fee split calculation.
Note: the integrator must have split functionality active with Fiserv; otherwise, the fee split will not occur, even if a settlement account is specified for the split.
holdSettlementbodyboolnoIdentifies if charges are created with liquidation hold (default false)
hasAutomaticSettlementbodybooleanyesIndicates if settlement occurs automatically
Request example
{
  "settlement": {
    "pixKey": "26770318000145",
    "bankAccount": {
      "accountNumber": "12345-1",
      "agency": "1234",
      "bankCompeCode": "341",
      "document": {
        "number": "60.664.745/0001-87",
        "type": "CNPJ"
      },
      "type": 1
    }
  },
  "pixFee": {
    "amount": 0,
    "percentage": 2,
    "max": 0,
    "min": 0
  },
  "splitPixKey": "1c78a371-187f-4318-ab95-69b54788ecda",
  "holdSettlement": false,
  "hasAutomaticSettlement": true
}
Responses
CodeDescription
204No Content
400Bad Request
401Unauthorized
422Client Error
500Server Error
ErrorCodeError
154The fee must have a single value
158Account not found
161Account is not active
162The PixKey must be different from the AddressPixKey
169The settlememt account provided is invalid
170A settlememt account is mandatory
171It is not possible to inform two settlememt accounts
174The settlement account CNPJ is invalid
176It is not possible to change the settlement information for this account
177It is not possible to change the tax rate for this account
178The ISPB code or COMPE code must be filled in
187Maximum tax rate must be greater than minimum tax rate
188Minimum tax rate must be reported because maximum tax rate has been reported
189The minimum tax rate must be greater than or equal to zero
190Maximum tax rate must be greater than zero
191The minimum and maximum tax rate should only be reported in the case of an MDR rate
260The minimum tax rate must be equal to or greater than {value}.
261The tax rate must be equal to or greater than {value}.
262It is not possible to specify an account as the settlement destination for a split payment if the specified destination account also has split payments enabled.
263Invalid settlement account for the split payment not found.
267The destination account for split settlement cannot have split configured.

DELETE /v1/client/{clientId}/apm/pix/account/{pixKey}

Endpoint to delete a pix account.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
pixKeypathAccount's PIX Keyyesstring
clientIdpathClient idyesstring
Responses
CodeDescription
204No Content
400Bad Request
401Unauthorized
422Client Error
500Server Error

GET /v2/client/{clientId}/apm/pix/account/balance/{pixKey}

Consult the account balance by pix key.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
clientIdpathClient Identifieryesstring
pixKeypathPix Key of the accountyesstring
Responses
FieldTypeAdditional Information
availableBalancedecimalAvailable balance in the account
blockedBalancedecimalBlocked balance in the account
totalBalancedecimalTotal balance in the account
Response Example
{
  "availableBalance": 2500000.42,
  "blockedBalance": 500000.18,
  "totalBalance": 3000000.6
}

GET /v1/client/{clientId}/apm/pix/accounts

View a customer's accounts.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
clientIdpathClient idyesstring
pagination.currentPagequeryPage to be consultednoint
pagination.pageSizequeryNumber of items per pagenoint
Responses
CodeDescription
200OK
400Bad Request
401Unauthorized
422Client Error
500Server Error
Response Example
{
  "content": [
    {
      "name": "Store name",
      "documentNumber": "40486138000167",
      "pixKey": "d60e6246-4885-471f-bab7-a3482f48d68b",
      "pixFee": {
        "amount": 0,
        "percentage": 2,
        "max": 0,
        "min": 0
      },
      "settlement": {
        "bankAccount": {
          "accountNumber": "12345-1",
          "agency": "1234",
          "bankCompeCode": "123",
          "document": {
            "number": "60.664.745/0001-87",
            "type": "CNPJ"
          },
          "ispb": "00000000",
          "type": 1
        },
        "pixKey": null
      },
      "status": "string",
      "hasAutomaticSettlement": true,
      "pspClientId": "7a2a1ed1-aa51-4a71-9b18-0ba6f6bcfee1",
      "pspClientSecret": "2ccd83fc-34ba-4a21-97ca-bef027cc2c70"
    }
  ],
  "totalElements": 1
}

GET /v1/apm/pix/accounts

Query an integrator's accounts.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
pagination.currentPagequeryPage to be consultednoint
pagination.pageSizequeryNumber of items per pagenoint
Responses
CodeDescription
200OK
400Bad Request
401Unauthorized
422Client Error
500Server Error
Response Example
{
  "content": [
    {
      "name": "Store name",
      "documentNumber": "40486138000167",
      "pixKey": "d60e6246-4885-471f-bab7-a3482f48d68b",
      "pixFee": {
        "amount": 0,
        "percentage": 2,
        "max": 0,
        "min": 0
      },
      "settlement": {
        "bankAccount": {
          "accountNumber": "12345-1",
          "agency": "1234",
          "bankCompeCode": "123",
          "document": {
            "number": "60.664.745/0001-87",
            "type": "CNPJ"
          },
          "ispb": "00000000",
          "type": 1
        },
        "pixKey": null
      },
      "status": "string",
      "hasAutomaticSettlement": true,
      "pspClientId": "7a2a1ed1-aa51-4a71-9b18-0ba6f6bcfee1",
      "pspClientSecret": "2ccd83fc-34ba-4a21-97ca-bef027cc2c70"
    }
  ],
  "totalElements": 1
}

Transactions

POST /v1/apm/pix/charge

Endpoint to create a pix charge.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256(apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
amountbodyCharge amountyesdecimal
pixKeybodyAccount's Pix Keyyesstring
returnQrCodeImagebodyIndicator that returns the qrCode imageyesbool
expirationbodyQRcode expiration time in secondsyesint
payerDocumentbodyOnly for Bets. And when provided, the payment must be made using an account owned by the same document holder; otherwise, the payment will not be acceptednostring
Request example
{
  "expiration": 3600,
  "amount": "18.92",
  "returnQrCodeImage": false,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "payerDocument": "36264164615"
}
Responses
FieldTypeAdditional Information
txidstringTransaction ID generated
locationstringLocated in of the generated QRCode
qrCodeImagestringBase64 image of the QRcode (Only when returnQrCodeImage= true is specified)
statusstringTransaction status. Possible values: ATIVA(PENDING);CONCLUIDA(CONFIRMED); REMOVIDA_PELO_USUARIO_RECEBEDOR (CANCELLED)
amountdecimalTransaction value
pixCopyAndPastestringCopy and paste code from Pix
pixKeystringPix key used for the transaction
additionalInfoarrayAdditional information
CodeDescription
200Pix charge created
400Request with invalid format
404The requested content was not found
503This service is currently unavailable
Response Example
{
  "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
  "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
  "qrCodeImage": null,
  "status": "ATIVA",
  "amount": 18.92,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd"
}
ErrorDescription
96The settlement schedule date is less than the current date
153The account for this pix key is not active
157This charge does not have a fee amount
158Account not found
167Account suspended for billing processing
193The charge cannot be null or negative
259The split value cannot be negative.

GET /v1/apm/pix/charge/{txid}

Check immediate billing through a specific txid.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
txidpathTransaction Idyesstring
returnQrCodeImagequeryIndicator whether QrCode should be generated in base64 or notnoboolean
Responses
CodeDescription
200Data from a immediate pix charge
404The requested content was not found
503This service is currently unavailable
Response Fields
FieldTypeDescription
expirationintegerQRcode expiration time in seconds
amountdecimalCharge amount
additionalInfoarrayAdditional information provided
additionalInfo.namestringTitle of information
additionalInfo.valuestringContent of information
pixKeystringAccount's Pix Key
txidstringTransaction ID
locationstringLocation of the generated QRCode
qrCodeImagestringBase64 image of the QRcode (null if returnQrCodeImage=false)
statusstringTransaction status: ATIVA (PENDING), CONCLUIDA (CONFIRMED), REMOVIDA_PELO_USUARIO_RECEBEDOR (CANCELLED)
pixCopyAndPastestringCopy and paste code from Pix
createdAtDateTime (ISO 8601)Date and time of creation
pixarrayArray of payment confirmations
pix.endToEndIdstringEnd to End of payment confirmation
pix.amountdecimalPayment amount
pix.pixKeystringPix key used
pix.confirmedAtDateTime (ISO 8601)Date and time of confirmation
pix.reversesarrayArray of reversals/refunds
pix.reverses.txidstringRefund transaction ID
pix.reverses.endToEndIdstringEnd to End of refund
pix.reverses.amountdecimalRefunded amount
pix.reverses.confirmedAtDateTime (ISO 8601)Date and time of refund
pix.reverses.statusstringStatus of the refund: DEVOLVIDO, NAO_REALIZADO, EM_PROCESSAMENTO
holdSettlemetbooleanIndicates if settlement is on hold
inconsistencyReprovalintegerInconsistency reproval code (can be null)
Response Example
{
  "expiration": 3600,
  "amount": 18.92,
  "additionalInfo": [
    {
      "name": "Title of information",
      "value": "Content of information"
    }
  ],
  "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
  "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
  "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
  "qrCodeImage": null,
  "status": "ATIVA",
  "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
  "createdAt": "2025-06-06T04:32:06.055Z",
  "pix": [
    {
      "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "amount": 231.39,
      "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
      "confirmedAt": "2025-06-06T04:32:06.055Z",
      "reverses": [
        {
          "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
          "endToEndId": "D12345678202009091000abcde123456",
          "amount": 231.39,
          "confirmedAt": "2025-06-06T04:32:06.055Z",
          "status": "DEVOLVIDO"
        }
      ]
    }
  ],
  "holdSettlemet": false,
  "inconsistencyReproval": null
}

PATCH /v1/apm/pix/charge/cancel/{txid}

Cancel immediate charge.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
txidpathyesstring
Responses
CodeDescription
204No Content
400Request with invalid format
404The requested content was not found
503This service is currently unavailable

GET /v1/apm/pix/charges

Check the list of immediate charges using parameters such as start, end, CPF, CNPJ and status.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
startDatequeryStart date to filter the queryyesDateTime (ISO 8601)
endDatequeryEnd date to filter the queryyesDateTime (ISO 8601)
pixKeyqueryAccount Pix Keynostring
documentNumberqueryCNPJ numbernostring
statusqueryStatus of the transactionPossible values: 1 - CONFIRMED; 2 - CANCELLEDnostring
pagination.currentPagequeryCurrent Pagenoint
pagination.pageSizequeryPage Sizenoint
Responses
CodeDescription
200List of pix charges
503This service is currently unavailable
Response Fields
PropertyTypeDescription
results.txidstringPix charge unique identifier
results.locationstringPayloads location
results.qrCodeImagestringBase64 of the QrCode image
results.statusstring (enum)Status of the pix charge. Possible values: ATIVA(PENDING);CONCLUIDA(CONFIRMED); REMOVIDA_PELO_USUARIO_RECEBEDOR (CANCELLED)
results.amountdecimalAmount of the pix charge (BRL)
results.pixCopyAndPastestringCopy and paste code
results.pixKeystringInternal pix key of the account
results.expirationintLifetime of the pix charge before expiration, specified in seconds
results.createdAtDateTime (ISO 8601)Date and time of creation
results.pix.confirmedAtDateTime (ISO 8601)Date and time of confirmation
results.pix.endToEndIdstringUnique end to end id for the pix charge
results.pix.amountdecimalAmount of the payment (BRL)
results.pix.pixKeystringPix key of the receiver
pix.inconsistencyReprovalenumIn case of reproval by the inconsistency prevention engine, this field will be populated with the following value: 1 - Inconsistency
results.pix.reverses.txidstringRefunds unique identifier
results.pix.reverses.endToEndIdstringUnique end to end id for the refund
results.pix.reverses.amountdecimalRefunded amount (BRL)
results.pix.reverses.confirmedAtDateTime (ISO 8601)Date and time of refund
results.pix.reverses.statusint (enum)Status of the refund. Possible values: 1 - CONFIRMED 2 - CANCELLED
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintCurrent page size
pagination.totalPagesintTotal pages to be retrieved
pagination.totalItemsintTotal items to be retrieved
criteria.startDateDateTime (ISO 8601)Filter transactions after this date and time
criteria.endDateDateTime (ISO 8601)Filter transactions before this date and time
criteria.pixKeystringPix key of the account
criteria.documentNumberstringDocument number of the account
criteria.statusstringStatus of the transaction values: 0 - PENDING; 1 - CONFIRMED; 2 - CANCELLED
Response Example
{
  "criteria": {
    "startDate": "2020-04-01T00:00:00Z",
    "endDate": "2020-04-01T17:00:00Z",
    "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
    "documentNumber": "27574383000168",
    "status": "ATIVA"
  },
  "results": [
    {
      "expiration": 3600,
      "amount": 18.92,
      "additionalInfo": [
        {
          "name": "Title of information",
          "value": "Content of information"
        }
      ],
      "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
      "txid": "ALzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2p",
      "location": "pix.example.com/qr/v2/2353c790eefb11eaadc10242ac120002",
      "qrCodeImage": null,
      "status": "ATIVA",
      "pixCopyAndPaste": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/aeafe31da3ef48c295e6353d703415da5204000053039865802BR5915Teste-automacao6009SAO PAULO61081125553262070503***6304BE8A",
      "createdAt": "2025-06-06T04:35:23.707Z",
      "pix": [
        {
          "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
          "amount": 231.39,
          "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
          "confirmedAt": "2025-06-06T04:35:23.707Z",
          "reverses": [
            {
              "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
              "endToEndId": "D12345678202009091000abcde123456",
              "amount": 231.39,
              "confirmedAt": "2025-06-06T04:35:23.707Z",
              "status": "DEVOLVIDO"
            }
          ]
        }
      ],
      "holdSettlemet": false,
      "inconsistencyReproval": null
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 1
  }
}

PUT /v1/apm/pix/{endToEndId}/reverse/{txid}

Request a refund.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
endToEndIdpathEnd to end transaction codeyesstring
txidpathTransaction Idyesstring
amountbodyTransaction amountyesstring
Request example
{
  "amount": "231.39"
}
Responses
CodeDescription
200Return data
400Request with invalid format
404The requested content was not found
503This service is currently unavailable
Response Fields
FieldTypeDescription
txidstringRefund transaction ID
endToEndIdstringEnd to End transaction code
amountstringRefunded amount
confirmedAtDateTime (ISO 8601)Date and time of refund processing
statusstringStatus of the refund: EM_PROCESSAMENTO (Processing), DEVOLVIDO (Refunded), NAO_REALIZADO (Not Completed)
Response Example
{
  "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
  "endToEndId": "D12345678202009091000abcde123456",
  "amount": "231.39",
  "confirmedAt": "2025-06-06T04:37:07.173Z",
  "status": "EM_PROCESSAMENTO"
}

GET /v1/apm/pix/{endToEndId}/reverse/{txid}

Check return using a Pix End To End ID and return ID.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
endToEndIdpathPayment End To End Codeyesstring
txidpathTransaction Idyesstring
Responses
CodeDescription
200Refunds data
404The requested content was not found
503This service is currently unavailable
Response Fields
FieldTypeDescription
txidstringRefund transaction ID
endToEndIdstringEnd to End transaction code
amountstringRefunded amount
confirmedAtDateTime (ISO 8601)Date and time of refund completion
statusstringStatus of the refund: DEVOLVIDO (Refunded), NAO_REALIZADO (Not Completed), EM_PROCESSAMENTO (Processing)
Response Example
{
  "txid": "DLzljVvS6DWp9ubnflS3nnCdeVBg7AxVt2h",
  "endToEndId": "D12345678202009091000abcde123456",
  "amount": "231.39",
  "confirmedAt": "2025-06-06T04:40:25.725Z",
  "status": "DEVOLVIDO"
}

PATCH /v1/apm/pix/charge/settlement/hold/{txid}

Block the pix charge settlement until it's unblocked.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring
txidpathCharge unique identifieryesstring
Responses
CodeDescription
204No Content
400Request with invalid format
404Request content not found
503Service unavailable

PATCH /v1/apm/pix/charge/settlement/release/{txid}

Allows the pix charge to be settled in the next settlement window.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring
txidpathCharge unique identifieryesstring
Responses
CodeDescription
204No Content
400Request with invalid format
404Request content not found
503Service unavailable

Cash-out

POST /v2/apm/pix/cashout

Create pix cashout.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
amountbodyAmount to cashout (BRL)yesdecimal
pixKeybodyInternal pix key of the accountyesstring
receiverPixKeybodyPix key of the receiver, must belong to the receiverDocumentyesstring
receiverDocumentbodyDocument of the receiver, will be validated together with the pix keyyesstring
Request example
{
  "pixKey": "tec7e05d-484e-4814-a432-dde637f84402",
  "receiverDocument": "36264164615",
  "receiverPixKey": "[email protected]",
  "amount": 99.99
}
Response Fields
FieldTypeAdditional Information
txidstringCashouts unique identifier
Response Example
{
  "txid": "2a2cc743-3913-48ea-91fe-13256ab3c3d2"
}

After successfully requesting the cashout operation some validations will be made asynchronously, and the cashout might still be denied. The result from this validation, together with the confirmation key necessary for the confirmation request (next endpoint), will be sent to the webhook.

GET /v2/apm/pix/cashout

Search and retrieve cash-outs. Allows for batch reconciliation.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeyqueryPix key of the accountyesstring
startDatequeryFilter cashouts after the startDateyesDateTime (ISO 8601)
endDatequeryFilter cashouts before the endDateyesDateTime (ISO 8601)
statusqueryStatus of the cashout.yesGetCashOutStatus
pagination.currentPagequeryActual pageyesint
pagination.pageSizequeryPage sizeyesint
Response Fields
FieldTypeAdditional Information
result.txidstringUnique identifier of the cashout operation
result.endToEndIdstringUnique end to end id for the pix transaction, will always be null until the confirmation of the cashout (item X+1)
result.createdAtDateTime (ISO 8601)Date and time of the cashout creation
result.confirmedAtDateTime (ISO 8601)Date and time of the cashout confirmation
result.pixKeystringInternal accounts pix key
result.receiverDocumentstringDocument of the cashouts receiver
result.receiverPixKeystringPix key of the cashouts receiver
result.amountdecimalAmount of the cashout (BRL)
result.statusint (enum)Cashout Status. See GetCashOutStatus
result.failReasonInt(enum)Fail Reason (Only when status is Failed) 1 - Without limit 2 - Without balance 3 - Expired 4 - Concurrency 5 - Processing Fail 6 - Inconsistency
criteria.pixKeystringAccount Pix Key Chave Pix used in filter
criteria.startDateDateTime (ISO 8601)Initial Date used in filter
criteria.endDateDateTime (ISO 8601)End Date used in filter
criteria.statusint (enum)Cashout Status filter. See GetCashOutStatus
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintPage size retrieved
pagination.totalPagesintTotal pages to retrieve
pagination.totalItemsintTotal items to retrieve
Response Example
{
  "criteria": {
    "startDate": "2025-01-16 09:33:01.573Z",
    "endDate": "2025-01-16 09:33:01.573Z",
    "pixKey": "b57c7b3c-976b-41f6-a5f6-7cccd86549bd",
    "status": 2
  },
  "result": [
    {
      "txid": "bec7e05d-484e-4814-a432-dde637f84408",
      "endToEndId": "E144654798498498465123",
      "createdAt": "2025-01-16T09:33:01.573000",
      "confirmedAt": "2025-01-16T09:33:01.573000",
      "pixKey": "883f75da-1f69-48c4-9444-c32b4bcb3553",
      "receiverDocument": "36264164615",
      "receiverPixKey": "[email protected]",
      "amount": 999.99,
      "status": "Confirmed",
      "failReason": null
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 10,
    "totalPages": 1,
    "totalItems": 1
  }
}

POST /v2/apm/pix/cashout/confirm

Confirm a pix cashout request with the confirmation key.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
txidbodyCashouts unique identifieryesstring
confirmationKeybodyConfirmation key provided in the webhook notification payloadyesstring
Request Example
{
  "txid": "bec7e05d-484e-4814-a432-dde637f84408",
  "confirmationKey": "4826e6ec-9bd2-4045-b030-f10e519d584a"
}

After the confirmation the cashout can still fail in some scenarios, so another notification will be sent to the configured webhook to inform if the cashout was completed successfully.

GET /v2/apm/pix/cashout/{txid}

Retrieve cashout data with the txid. In case of delay or failure of the webhook notification, this endpoint can be used to check the cashout status.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
txidpathCashouts unique identifieryesstring
Responses
FieldTypeAdditional Information
txidstringUnique identifier of the cashout operation
endToEndIdstringUnique end to end id for the pix transaction, will always be null until the confirmation of the cashout
createdAtDateTime (ISO 8601)Date and time of the cashout creation
confirmedAtDateTime (ISO 8601)Date and time of the cashout confirmation
pixKeystringInternal accounts pix key
receiverDocumentstringDocument of the cashouts receiver
receiverPixKeystringPix key of the cashouts receiver
amountdecimalAmount of the cashout (BRL)
statusint (enum)Cashout Status. See GetCashOutStatus
result.failReasonint (enum)Fail Reason (Only when status is Failed).
  • 1 - Withou limit
  • 2 - Without balance
  • 3 - Expired
  • 4 - Concurrency
  • 5 - Processing fail
  • 6 - Inconsistency
Response Example
{
  "txid": "bec7e05d-484e-4814-a432-dde637f84408",
  "endToEndId": "E144654798498498465123",
  "createdAt": "2025-01-16T09:33:01.573000",
  "confirmedAt": "2025-01-16T09:33:01.573000",
  "pixKey": "883f75da-1f69-48c4-9444-c32b4bcb3553",
  "receiverDocument": "36264164615",
  "receiverPixKey": "[email protected]",
  "amount": 999.99,
  "status": 2,
  "failReason": 1
}

Reports

GET /v1/apm/pix/report/transactions

Consult list of charges.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeyqueryPix Keynostring
documentNumberqueryClient idnostring
startDatequeryBilling start date and timenoDateTime (ISO 8601)
endDatequeryBilling end date and timenoDateTime (ISO 8601)
settlementStartDatequerySettlement start date and timenoDateTime (ISO 8601)
settlementEndDatequerySettlement end date and timenoDateTime (ISO 8601)
txidqueryTransaction Idnostring
endToEndqueryEnd to End Confirmation Codenostring
pagination.currentPagequeryCurrent pageyesinteger
pagination.pageSizequeryNumber of items per pageyesinteger
Response Fields
FieldTypeDescription
criteriaobjectSearch criteria used
criteria.pixKeystringPix key filtered
criteria.documentNumberstringClient document filtered
criteria.startDatestring (ISO 8601)Start date filter
criteria.endDatestring (ISO 8601)End date filter
criteria.settlementStartDatestring (ISO 8601)Settlement start date filter
criteria.settlementEndDatestring (ISO 8601)Settlement end date filter
criteria.txidstringTransaction ID filter
criteria.endToEndstringEnd to End filter
resultarrayList of transactions
result.createdAtstring (ISO 8601)Transaction creation date and time
result.settlementDatestring (ISO 8601)Settlement date and time
result.grossAmountdecimalGross transaction amount
result.feeAmountdecimalFee amount
result.netAmountdecimalNet amount after fees
result.endToEndstringEnd to End code
result.txidstringTransaction ID
result.pixKeystringAccount Pix Key
result.typestringTransaction type
summaryobjectSummary of values
summary.sumGrossAmountdecimalSum of all gross amounts
summary.sumFeeAmountdecimalSum of all fees
summary.sumNetAmountdecimalSum of all net amounts
paginationobjectPagination information
pagination.currentPageintCurrent page
pagination.pageSizeintItems per page
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "criteria": {
    "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
    "documentNumber": "13207930000162",
    "startDate": "2025-11-01T15:58:00.000Z",
    "endDate": "2025-11-25T15:58:00.000",
    "settlementStartDate": "2024-10-01",
    "settlementEndDate": "2024-10-01",
    "txid": "SE00000000001ABCDEFGHIJKLMNO01PQRS",
    "endToEnd": "E01234567202410011525AB1CDEFGHI6"
  },
  "result": [
    {
      "createdAt": "2025-11-19T10:29:23.182Z",
      "settlementDate": "2025-11-20T00:33:41.965Z",
      "grossAmount": 50.0,
      "feeAmount": 1.0,
      "netAmount": 49.0,
      "endToEnd": "E04962772202511191330JtQlWP6tWmL",
      "txid": "69xWbpREB9fvZ5oUr7HPNSlm5r6cclBy3Gk0",
      "pixKey": "0d611cb1-dc49-4b66-b874-157a126c23ab",
      "type": "Payment"
    },
    {
      "createdAt": "2025-11-12T15:54:52.450Z",
      "settlementDate": "2025-11-13T00:30:54.831Z",
      "grossAmount": 49.99,
      "feeAmount": 1.0,
      "netAmount": 48.99,
      "endToEnd": "D12345678202009091000abcde123456",
      "txid": "kXrK2W2mFxOQ8NEXH",
      "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
      "type": "Payment"
    }
  ],
  "summary": {
    "sumGrossAmount": 99.99,
    "sumFeeAmount": 2.0,
    "sumNetAmount": 97.99
  },
  "pagination": {
    "currentPage": 0,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 0
  }
}

GET /v2/apm/pix/report/transactions

Search transactions statement

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeyqueryPix key of the accountnostring
documentNumberqueryList of account documents (can be multiple)noarray of strings
startDatequeryFilter transactions after this date and timeyesDateTime (ISO 8601)
endDatequeryFilter transactions before this date and timeyesDateTime (ISO 8601)
txidqueryTransactions unique identifiernostring
endToEndqueryPix transaction unique end to end identifiernostring
pagination.currentPagequeryPage number to be retrievedyesint
pagination.pageSizequeryPage size to be retrievedyesint
minAmountqueryMinimum transaction amountnodecimal
maxAmountqueryMaximum transaction amountnodecimal
transactionTypesqueryList of transaction types to filter (0-14)noarray of int
merchantCnpjqueryMerchant CNPJnostring
accountIdToGetBalancequeryAccount ID to query available balancenoGuid
Response Fields
FieldTypeDescription
resultarrayList of transactions
result.txidstringTransactions unique identifier
result.amountdecimalAmount of the transaction (BRL)
result.createdAtDateTime (ISO 8601)Transaction date and time
result.movementTypestringType of movement: Debit, Credit
result.transactionTypestringTransaction Type. See the complete table in Transaction Types
result.endToEndIdstringUnique end to end id
result.accountCnpjstringAccount CNPJ
result.pixKeystringAccount Pix Key
result.thirdPartyNamestringName of the third party (external) involved in the transaction
result.merchantCnpjstringMerchant CNPJ
result.inconsistencyReprovalintIn case of reproval by the inconsistency prevention engine: 1 - Inconsistency (can be null)
result.agencystringDestination account branch
result.accountNumberstringDestination account number
result.accountTypestringDestination account type
result.bankNamestringDestination bank name
result.bankIspbstringDestination bank ISPB
result.bankPixKeystringDestination bank Pix Key
result.userEmailstringUser email
result.ispbstringPSP ISPB
result.ispbNamestringPSP name
result.bankCompeCodestringCOMPE Code (Check and Other Document Clearing System)
result.originAgencystringOrigin branch
result.originAccountNumberstringOrigin account number
criteriaobjectSearch criteria used
criteria.startDatestring (ISO 8601)Start date filter used
criteria.endDatestring (ISO 8601)End date filter used
criteria.pixKeystringPix key filter used
criteria.documentNumberarrayDocument filter used
criteria.txidstringTxid filter used
criteria.endToEndIdstringEnd to end filter used
summaryobjectSummary of values
summary.sumAmountCreditsdecimalSum of all credits
summary.sumAmountDebitsdecimalSum of all debits
summary.availableBalancedecimalAvailable balance (optional, only returns if accountIdToGetBalance was provided)
summary.additionalMessagestringAdditional message (can be null)
summary.errorMessagestringError message (can be null)
paginationobjectPagination information
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintCurrent page size
pagination.totalPagesintTotal pages to be retrieved
pagination.totalItemsintTotal items to be retrieved
Response Example
{
  "criteria": {
    "pixKey": "4d2dd55d-d1ab-492b-868e-6b1a2791dc0b",
    "documentNumber": [
      "14821268000107"
    ],
    "startDate": "2025-01-01",
    "endDate": "2029-12-31",
    "txid": "2a2cc743-3913-48ea-91fe-13256ab3c3d2",
    "endToEndId": "E144654798498498465123"
  },
  "result": [
    {
      "createdAt": "2025-06-06T04:57:20.882Z",
      "movementType": "1",
      "transactionType": "1",
      "amount": 99.99,
      "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "txid": "42474ba2-fd99-43b9-b688-52fb7a74106d",
      "accountCnpj": "14821268000107",
      "pixKey": "4d2dd55d-d1ab-492b-868e-6b1a2791dc0b",
      "thirdPartyName": "John Mary",
      "inconsistencyReproval": 1,
      "merchantCnpj": "13207930000162",
      "agency": "0001",
      "accountNumber": "123456",
      "accountType": "Conta Corrente",
      "bankName": "Banco Exemplo",
      "bankIspb": "00000000",
      "bankCompeCode": "341",
      "bankPixKey": "980be6da-75b4-42f6-a505-13ba01221c6f",
      "userEmail": "[email protected]",
      "ispb": "12345678",
      "ispbName": "PSP Fiserv",
      "originAgency": "0001",
      "originAccountNumber": "654321"
    }
  ],
  "summary": {
    "sumAmountCredits": 99.99,
    "sumAmountDebits": 0,
    "availableBalance": 0,
    "additionalMessage": null,
    "errorMessage": null
  },
  "pagination": {
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v1/apm/pix/report/settlements

Consult the list of liquidations.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
pixKeyqueryAccount's Pix Keynostring
documentNumberqueryCNPJ numbernostring
startDatequeryStart date for consultationnoDateTime (ISO 8601)
endDatequeryEnd date for consultationnoDateTime (ISO 8601)
statusquerynoGetLiquidationsInStatusinteger
pagination.currentPagequeryCurrent Pageyesinteger
pagination.pageSizequeryItens per pagenointeger
Response Fields
FieldTypeDescription
criteriaobjectSearch criteria used
criteria.pixKeystringPix key filtered
criteria.documentNumberstringClient document filtered
criteria.startDatestring (ISO 8601)Start date filter
criteria.endDatestring (ISO 8601)End date filter
criteria.statusstringStatus
resultsarrayList of settlements
results.totalAmountdecimalNet settlement amount
results.totalGrossAmountdecimalGross settlement amount
results.totalFeeAmountdecimalFees amount
results.statusstring (enum)Settlement status: Pending, Confirmed, Failed
results.pixKeystringAccount Pix Key
results.errorMessagestringError message (can be null)
results.createdAtstring (ISO 8601)Settlement creation date and time
results.endToEndstringTransaction end to end
results.settlementobjectSettlement destination account data
results.settlement.pixKeystringSettlement account Pix Key
results.settlement.bankAccountobjectSettlement account bank details
results.settlement.bankAccount.typestringAccount type code: "CC" - Checking Account, "PG" - Payment Account
results.settlement.bankAccount.bankCodestringBank ISPB code
results.settlement.bankAccount.agencystringAccount branch
results.settlement.bankAccount.accountNumberstringAccount number
results.settlement.bankAccount.cnpjstringAccount CNPJ
paginationobjectPagination information
pagination.currentPageintCurrent page
pagination.pageSizeintItems per page
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "criteria": {
    "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
    "documentNumber": "13207930000162",
    "startDate": "2024-10-01T15:25:30.812Z",
    "endDate": "2024-10-01T15:25:30.812Z",
    "status": 2
  },
  "results": [
    {
      "totalAmount": 99.00,
      "totalGrossAmount": 99.99,
      "totalFeeAmount": 0.99,
      "status": "Failed",
      "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
      "errorMessage": "02. Houve uma falha no pagamento",
      "createdAt": "2024-10-01T15:25:30.812Z",
      "endToEnd": "E01234567202410011525AB1CDEFGHI6",
      "settlement": {
        "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
        "bankAccount": {
          "type": "PG",
          "bankCode": "104",
          "agency": "0001",
          "accountNumber": "4321056789",
          "cnpj": "13207930000162"
        }
      }
    }
  ],
  "pagination": {
    "currentPage": 0,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 0
  }
}

GET /v2/apm/pix/report/transactions/split/detailed

Query detailed report of transactions with split.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL )yesstring
AuthorizationheaderBearer Token used for authenticationyesstring (bearerToken)
startDatequeryStart dateyesDateTime (ISO 8601)
endDatequeryEnd dateyesDateTime (ISO 8601)
merchantCnpjqueryMerchant CNPJnostring
transactionTypesqueryTransaction types. See the complete table in Transaction Typesnoarray[int]
pageNoqueryPage numberyesint
pageSizequeryItems per pageyesint
Response Fields
FieldTypeDescription
resultarrayList of transactions
result.dateDateTime (ISO 8601)Transaction date and time
result.cnpjstringMerchant CNPJ
result.txIdstringTransaction ID
result.endToEndstringTransaction End to End
result.txIdReversestringReverse transaction ID (can be null)
result.transactionTypeobjectTransaction type. See Transaction Types for details
result.transactionType.idintTransaction type ID
result.transactionType.namestringTransaction type name
result.transactionType.descriptionstringTransaction type description
result.amountdecimalTransaction amount
result.targetCustomerFeeAmountdecimalTarget customer fee amount
result.appliedCustomerFeeAmountdecimalApplied customer fee amount
result.appliedFiservFeeAmountdecimalApplied Fiserv fee amount
result.appliedPartnerFeeAmountdecimalApplied Partner fee amount
pagination.currentPageintCurrent page
pagination.pageSizeintPage size
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "result": [
    {
      "date": "2025-06-06T04:57:20.882Z",
      "cnpj": "13207930000162",
      "txId": "42474ba2-fd99-43b9-b688-52fb7a74106d",
      "endToEnd": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "txIdReverse": null,
      "transactionType": {
        "id": 0,
        "name": "Payment",
        "description": "Cobrança"
      },
      "amount": 100.00,
      "targetCustomerFeeAmount": 1.00,
      "appliedCustomerFeeAmount": 1.00,
      "appliedFiservFeeAmount": 0.50,
      "appliedPartnerFeeAmount": 0.50
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 10,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v2/apm/pix/report/transactions/split/summary

Query summary report of transactions with split.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL )yesstring
AuthorizationheaderBearer Token used for authenticationyesstring (bearerToken)
startDatequeryStart dateyesDateTime (ISO 8601)
endDatequeryEnd dateyesDateTime (ISO 8601)
merchantCnpjqueryMerchant CNPJnostring
transactionTypesqueryTransaction types. See the complete table in Transaction Typesnoarray[int]
pageNoqueryPage numberyesint
pageSizequeryItems per pageyesint
Response Fields
FieldTypeDescription
resultarrayList of summaries by transaction type
result.transactionTypeobjectTransaction type. See Transaction Types for details
result.transactionType.idintTransaction type ID
result.transactionType.namestringTransaction type name
result.transactionType.descriptionstringTransaction type description
result.quantityintNumber of transactions
result.amountdecimalAmount
result.targetCustomerFeeAmountdecimalTarget customer fee amount
result.appliedCustomerFeeAmountdecimalApplied customer fee amount
result.appliedFiservFeeAmountdecimalApplied Fiserv fee amount
result.appliedPartnerFeeAmountdecimalApplied Partner fee amount
pagination.currentPageintCurrent page
pagination.pageSizeintPage size
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "result": [
    {
      "transactionType": {
        "id": 0,
        "name": "Payment",
        "description": "Cobrança"
      },
      "quantity": 10,
      "amount": 1000.00,
      "targetCustomerFeeAmount": 10.00,
      "appliedCustomerFeeAmount": 10.00,
      "appliedFiservFeeAmount": 5.00,
      "appliedPartnerFeeAmount": 5.00,
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 10,
    "totalPages": 1,
    "totalItems": 1
  }
}

Additional Information

Transaction Types

Reference table for transaction types used in report endpoints:

ValueNameDescription
0PaymentCharge
1ReverseReversal
2BlockMED block
3UnlockMED unlock
4SpecialReturnSpecial Return Movement
5RefundPartial Refund
6BacenJudTransferBacen Jud Transfer
7BacenJudBlockBacen Jud Block
8BacenJudUnlockBacen Jud Unlock
9ScheduledCashOutScheduled Cash Out
10ImmediateCashOutImmediate Cash Out
11PixFeePix Fee
12PixFeeReverseFee Reversal
13SpecialReturnReverseSpecial Return Reversal
14ManagementAdjustmentManagement Adjustments

Get Cash-out Status

CodeStatus
0Pending
1Requested
2Authorized
3Confirmed
4Failed
5Expired

Get Liquidations Status

CodeStatus
0Pending
1Confirmed
2Fail

Default Header

Some information is required in all requests, they are:

HeaderDetails
AuthorizationAuthentication token. For more information, check Token from this document
apikeyProvided by Fiserv after onboarding
x-timestampTimestamp of the request. Also used to generate the HMAC signature. For more information, check HMAC Calculation item from this document
x-hmac-signatureGenerated HMAC. For more information, check HMAC Calculation item from this document
x-request-idRandom request ID

HMAC Calculation

The HMAC must be calculated using the SHA256 algorithm and the private key that will be provided by Fiserv, containing the following concatenated fields:

APIKEY + TIMESTAMP + REQUEST_BODY + URL_PATH

Below is an example of a postman script that generates the indicated headers according to the specification:

var CryptoJS = require("crypto-js");

function setHMACAuth(request) {
const currentDate = new Date();
var API_KEY = pm.collectionVariables.get('apikey');
var SECRET = pm.collectionVariables.get('secret');
var requestId = generateUUID();
const timestamp = currentDate.getTime().toString();

rawData=API_KEY+timestamp+request.body.toString()+'/'+pm.request.url.path.toString().replaceAll(',','/');;
 
var signedValue = CryptoJS.algo.HMAC.create(CryptoJS.algo.SHA256, SECRET).update(rawData).finalize();
hashedStringRequest = CryptoJS.enc.Base64.stringify(signedValue);

pm.request.headers.add({key:"x-timestamp",value:timestamp});
pm.request.headers.add({key:"x-hmac-signature",value:hashedStringRequest});
pm.request.headers.add({key:"x-request-id",value:requestId});
}

function generateUUID() {
return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
var r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
return v.toString(16);
});
}
 
setHMACAuth(pm.request);

Default error object

All errors handled are returned in a standard format, which is as follows:

{
  "message": "Error Message",
  "details": [
    {
      "errorCode": 0,
      "error": "Error Description"
    }
  ]
}

For Testing Purposes

PUT /utils/ordem-pagar

Simulates the payment of a pix charge in the sandbox environment.

Parameters
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
qrCodebodyPix charge copy and paste code (QRCode)yesstring
Request example
{
  "qrCode": "00020101021226830014BR.GOV.BCB.PIX2561api-h.rendimento.com.br/q/v2/28d1eeb09673415ea5ad1c3c2793fbc45204000053039865802BR5914QRCOeAccount6009SAO PAULO61081125553262070503***6304AE83"
}

Revision 1.3.4 - 20/02/2026